Ubuntu

[8086:0085] intermittently losing connectivity

Reported by Matt Zimmerman on 2012-04-18
176
This bug affects 32 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

I'm seeing intermittent loss of connectivity, where there are no errors, the connection stays "up" but packets are no longer getting through.

I've tried going back through the past few kernels, and the problem is consistent from 3.2.0-19.30 through 3.2.0-23.36 (which seems to be current). I see no errors in dmesg or other indications of what's going wrong, but It's very easily reproducible, as it happens all the time. I lose connectivity about once every 30 seconds, for about 30 seconds, i.e. it's down 50% of the time.

tutti:[~] ping -I wlan0 192.168.0.1
PING 192.168.0.1 (192.168.0.1) from 192.168.0.157 wlan0: 56(84) bytes of data.
64 bytes from 192.168.0.1: icmp_req=32 ttl=64 time=2.83 ms
64 bytes from 192.168.0.1: icmp_req=33 ttl=64 time=2.85 ms
64 bytes from 192.168.0.1: icmp_req=34 ttl=64 time=2.85 ms
64 bytes from 192.168.0.1: icmp_req=35 ttl=64 time=2.92 ms
64 bytes from 192.168.0.1: icmp_req=36 ttl=64 time=2.80 ms
64 bytes from 192.168.0.1: icmp_req=37 ttl=64 time=2.82 ms
64 bytes from 192.168.0.1: icmp_req=38 ttl=64 time=2.99 ms
64 bytes from 192.168.0.1: icmp_req=39 ttl=64 time=3.08 ms
64 bytes from 192.168.0.1: icmp_req=40 ttl=64 time=2.92 ms
64 bytes from 192.168.0.1: icmp_req=41 ttl=64 time=2.75 ms
64 bytes from 192.168.0.1: icmp_req=42 ttl=64 time=3.10 ms
64 bytes from 192.168.0.1: icmp_req=43 ttl=64 time=2.93 ms
64 bytes from 192.168.0.1: icmp_req=102 ttl=64 time=2.74 ms
64 bytes from 192.168.0.1: icmp_req=103 ttl=64 time=2.75 ms
64 bytes from 192.168.0.1: icmp_req=104 ttl=64 time=2.96 ms
64 bytes from 192.168.0.1: icmp_req=105 ttl=64 time=2.85 ms
64 bytes from 192.168.0.1: icmp_req=106 ttl=64 time=2.95 ms
64 bytes from 192.168.0.1: icmp_req=107 ttl=64 time=2.97 ms
64 bytes from 192.168.0.1: icmp_req=108 ttl=64 time=2.98 ms
64 bytes from 192.168.0.1: icmp_req=109 ttl=64 time=2.79 ms
64 bytes from 192.168.0.1: icmp_req=110 ttl=64 time=2.77 ms
64 bytes from 192.168.0.1: icmp_req=111 ttl=64 time=2.89 ms
64 bytes from 192.168.0.1: icmp_req=112 ttl=64 time=3.02 ms
64 bytes from 192.168.0.1: icmp_req=113 ttl=64 time=2.95 ms
64 bytes from 192.168.0.1: icmp_req=114 ttl=64 time=3.05 ms
64 bytes from 192.168.0.1: icmp_req=115 ttl=64 time=2.91 ms
64 bytes from 192.168.0.1: icmp_req=116 ttl=64 time=2.77 ms
64 bytes from 192.168.0.1: icmp_req=117 ttl=64 time=2.77 ms
64 bytes from 192.168.0.1: icmp_req=118 ttl=64 time=3.05 ms
64 bytes from 192.168.0.1: icmp_req=119 ttl=64 time=2.95 ms
64 bytes from 192.168.0.1: icmp_req=120 ttl=64 time=1.07 ms
64 bytes from 192.168.0.1: icmp_req=121 ttl=64 time=2.76 ms
64 bytes from 192.168.0.1: icmp_req=122 ttl=64 time=2.92 ms
64 bytes from 192.168.0.1: icmp_req=123 ttl=64 time=3.01 ms
64 bytes from 192.168.0.1: icmp_req=124 ttl=64 time=2.88 ms
64 bytes from 192.168.0.1: icmp_req=125 ttl=64 time=2.92 ms
64 bytes from 192.168.0.1: icmp_req=126 ttl=64 time=3.13 ms
64 bytes from 192.168.0.1: icmp_req=127 ttl=64 time=2.75 ms
64 bytes from 192.168.0.1: icmp_req=128 ttl=64 time=2.85 ms
64 bytes from 192.168.0.1: icmp_req=129 ttl=64 time=2.97 ms
64 bytes from 192.168.0.1: icmp_req=190 ttl=64 time=2.96 ms
64 bytes from 192.168.0.1: icmp_req=191 ttl=64 time=2.87 ms
64 bytes from 192.168.0.1: icmp_req=192 ttl=64 time=2.83 ms
64 bytes from 192.168.0.1: icmp_req=193 ttl=64 time=2.95 ms
64 bytes from 192.168.0.1: icmp_req=194 ttl=64 time=2.93 ms
64 bytes from 192.168.0.1: icmp_req=195 ttl=64 time=2.86 ms
64 bytes from 192.168.0.1: icmp_req=196 ttl=64 time=2.86 ms
64 bytes from 192.168.0.1: icmp_req=197 ttl=64 time=2.82 ms
64 bytes from 192.168.0.1: icmp_req=198 ttl=64 time=2.70 ms
64 bytes from 192.168.0.1: icmp_req=199 ttl=64 time=2.92 ms
64 bytes from 192.168.0.1: icmp_req=200 ttl=64 time=2.85 ms
64 bytes from 192.168.0.1: icmp_req=201 ttl=64 time=2.76 ms
64 bytes from 192.168.0.1: icmp_req=202 ttl=64 time=2.85 ms
64 bytes from 192.168.0.1: icmp_req=203 ttl=64 time=2.92 ms
64 bytes from 192.168.0.1: icmp_req=204 ttl=64 time=2.82 ms
64 bytes from 192.168.0.1: icmp_req=205 ttl=64 time=2.92 ms
64 bytes from 192.168.0.1: icmp_req=206 ttl=64 time=2.83 ms
64 bytes from 192.168.0.1: icmp_req=207 ttl=64 time=3.05 ms
64 bytes from 192.168.0.1: icmp_req=208 ttl=64 time=2.87 ms
64 bytes from 192.168.0.1: icmp_req=209 ttl=64 time=2.79 ms
64 bytes from 192.168.0.1: icmp_req=210 ttl=64 time=3.11 ms
64 bytes from 192.168.0.1: icmp_req=211 ttl=64 time=2.73 ms
64 bytes from 192.168.0.1: icmp_req=212 ttl=64 time=2.76 ms
64 bytes from 192.168.0.1: icmp_req=213 ttl=64 time=2.64 ms
64 bytes from 192.168.0.1: icmp_req=214 ttl=64 time=2.78 ms
64 bytes from 192.168.0.1: icmp_req=215 ttl=64 time=2.83 ms
64 bytes from 192.168.0.1: icmp_req=216 ttl=64 time=4.17 ms
64 bytes from 192.168.0.1: icmp_req=217 ttl=64 time=2.64 ms
64 bytes from 192.168.0.1: icmp_req=218 ttl=64 time=2.86 ms
64 bytes from 192.168.0.1: icmp_req=219 ttl=64 time=2.84 ms
64 bytes from 192.168.0.1: icmp_req=220 ttl=64 time=2.89 ms
64 bytes from 192.168.0.1: icmp_req=221 ttl=64 time=2.92 ms
64 bytes from 192.168.0.1: icmp_req=222 ttl=64 time=2.86 ms
64 bytes from 192.168.0.1: icmp_req=223 ttl=64 time=2.77 ms
64 bytes from 192.168.0.1: icmp_req=224 ttl=64 time=2.90 ms
64 bytes from 192.168.0.1: icmp_req=225 ttl=64 time=2.90 ms
64 bytes from 192.168.0.1: icmp_req=226 ttl=64 time=2.68 ms
64 bytes from 192.168.0.1: icmp_req=227 ttl=64 time=2.94 ms

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-23-generic 3.2.0-23.36
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu2
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mdz 2230 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf2620000 irq 52'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:14f1506e,17aa21da,00100000 HDA:80862805,80860101,00100000'
   Controls : 26
   Simple ctrls : 8
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw unknown'
   Mixer name : 'ThinkPad EC (unknown)'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [off]
Date: Tue Apr 17 21:06:56 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
MachineType: LENOVO 4286CTO
ProcEnviron:
 TERM=xterm
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=b4f82fbf-ca0b-4df1-86f6-2c4a94b99732 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic N/A
 linux-backports-modules-3.2.0-23-generic N/A
 linux-firmware 1.79
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: Upgraded to precise on 2012-03-14 (34 days ago)
dmi.bios.date: 05/31/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET47WW (1.17 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4286CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET47WW(1.17):bd05/31/2011:svnLENOVO:pn4286CTO:pvrThinkPadX220:rvnLENOVO:rn4286CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4286CTO
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO

Matt Zimmerman (mdz) wrote :
description: updated
summary: - Another iwlwifi dropout issue
+ iwlwifi intermittently losing connectivity
Brad Figg (brad-figg) on 2012-04-18
Changed in linux (Ubuntu):
status: New → Confirmed

Matt Zimmerman, thank you for reporting this and helping make Ubuntu better. Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, please run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.

Please let us know your results. Thanks in advance.

description: updated
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium

On Wed, Apr 18, 2012 at 11:10:24AM -0000, Christopher M. Penalver wrote:
> Matt Zimmerman, thank you for reporting this and helping make Ubuntu
> better. Please be sure to confirm this issue exists with the latest
> development release of Ubuntu. ISO CD images are available from
> http://cdimage.ubuntu.com/daily/current/ .

Is there something newer than current Precise available already? That's what
I'm running. :-)

> If the issue remains, please run the following command in the development
> release from a Terminal (Applications->Accessories->Terminal). It will
> automatically gather and attach updated debug information to this report.
>
> apport-collect -p linux <replace-with-bug-number>

I already filed this bug report with ubuntu-bug, so it has all of this
information available already.

--
 - mdz

tags: added: bot-stop-nagging

Hi Matt,

Can you test the following v3.4-rc3 mainline kernel:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc3-precise/

That will tell us if the bug is already fixed upstream.

Changed in linux (Ubuntu):
importance: Medium → High
tags: added: kernel-da-key
Pat McGowan (pat-mcgowan) wrote :

I am seeing something similar with Intel(R) Centrino(R) Advanced-N 6230, the wireless connection drops, sometimes does not reconnect, sometimes it does.
I have disabled 11n per other posts and it seems to be helping, no disconnects since disabling.
$ more /etc/modprobe.d/iwlwifi.conf
options iwlwifi 11n_disable=1

This issue arose for me when I picked up the final two weeks worth of updates for 12.04.

Mark Foster (blakjak) wrote :
Download full text (17.1 KiB)

+1. Have been having constant, ongoing issues with wifi dropouts - but only with 12.04 and only in the last several weeks (did not seem to be a problem when I was running beta1. Came up later than that).

I have this on two machines, running Xubuntu and Ubuntu respectively, but both 12.04 and both current/up-to-date.

https://bugzilla.redhat.com/show_bug.cgi?id=805285 suggests it might be an Intel thing. (see also http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2359) - if it's the same thing.

Very hard to work out what's relevant and what's not from my Syslog (found the redhat link from a search for "iwlwifi 0000:03:00.0: fail to flush all tx fifo queues" as one line appearing in my syslog frequently enough)

The symptom is that I appear to remain associated, but all IP traffic stops, and a continuous ping shows my local wifi interface IP reporting 'destination host unreachable' (pinging my default gateway) after a period. It can take quite a while (if at all) for the wifi association to drop and restart, getting me comms back. Doing so manually also gets me comms back - for a while.
Over the last 2.5 hours, searching for 'reason=' in my syslog:

May 8 18:25:04 hawkeye kernel: [ 260.422424] wlan0: deauthenticating from 00:14:6c:b0:9e:02 by local choice (reason=3)
May 8 18:25:08 hawkeye wpa_supplicant[2079]: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3
May 8 18:25:08 hawkeye kernel: [ 263.732721] wlan0: deauthenticating from 00:14:6c:b0:9e:02 by local choice (reason=3)
May 8 18:25:11 hawkeye wpa_supplicant[2079]: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3
May 8 18:25:11 hawkeye kernel: [ 267.051132] wlan0: deauthenticating from 00:14:6c:b0:9e:02 by local choice (reason=3)
May 8 18:25:14 hawkeye wpa_supplicant[2079]: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3
May 8 18:25:14 hawkeye kernel: [ 270.401257] wlan0: deauthenticating from 00:14:6c:b0:9e:02 by local choice (reason=3)
May 8 18:25:18 hawkeye wpa_supplicant[2079]: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3
May 8 18:25:18 hawkeye kernel: [ 273.815477] wlan0: deauthenticating from 00:14:6c:b0:9e:02 by local choice (reason=3)
May 8 18:25:21 hawkeye wpa_supplicant[2079]: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3
May 8 18:25:21 hawkeye kernel: [ 277.149726] wlan0: deauthenticating from 00:14:6c:b0:9e:02 by local choice (reason=3)
May 8 18:25:25 hawkeye wpa_supplicant[2079]: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3
May 8 18:25:25 hawkeye kernel: [ 280.527970] wlan0: deauthenticating from 00:14:6c:b0:9e:02 by local choice (reason=3)
May 8 18:25:28 hawkeye wpa_supplicant[2079]: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3
May 8 18:25:28 hawkeye kernel: [ 283.814223] wlan0: deauthenticating from 00:14:6c:b0:9e:02 by local choice (reason=3)
May 8 18:25:31 hawkeye wpa_supplicant[2079]: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3
May 8 18:25:31 hawkeye kernel: [ 287.160435] wlan0: deauthenticating from 00:14:6c:b0:9e:02 by local choice (reason=3)
May 8 18:25:34 hawkeye wpa_supplicant[2079]: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3
May 8...

Pat McGowan / Mark Foster, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

summary: - iwlwifi intermittently losing connectivity
+ [8086:0085] iwlwifi intermittently losing connectivity
Bruce Juntti (the99nomad-j) wrote :

I noticed this problem in 11.10. My wifi worked great in 11.04, but as soon as I migrated to 11.10, my wifi became unbearably slow. Running iwconfig, I noticed that the "TX excessive retries" was incrementing like crazy when browsing the web:

ubuntu@ubuntu:~$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

wlan0 IEEE 802.11bgn ESSID:"Wolfy"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:22:6B:7E:65:87
          Bit Rate=72.2 Mb/s Tx-Power=14 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=70/70 Signal level=-29 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:179 Invalid misc:54 Missed beacon:0

ubuntu@ubuntu:~$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

wlan0 IEEE 802.11bgn ESSID:"Wolfy"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:22:6B:7E:65:87
          Bit Rate=72.2 Mb/s Tx-Power=14 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=70/70 Signal level=-29 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:251 Invalid misc:64 Missed beacon:0

I disabled N-mode wifi using:

root@ubuntu:~# echo "options iwlagn 11n_disable=1" > /etc/modprobe.d/iwlagn.conf

root@ubuntu:~# modprobe -v iwlagn
insmod /lib/modules/3.0.0-12-generic/kernel/net/wireless/cfg80211.ko
insmod /lib/modules/3.0.0-12-generic/kernel/net/mac80211/mac80211.ko
insmod /lib/modules/3.0.0-12-generic/kernel/drivers/net/wireless/iwlwifi/iwlagn.ko 11n_disable=1

Running iwconfig then showed no TX retries.

root@ubuntu:~# iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

wlan1 IEEE 802.11bg ESSID:"Wolfy"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:22:6B:7E:65:87
          Bit Rate=2 Mb/s Tx-Power=14 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=70/70 Signal level=-31 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:41 Missed beacon:0

Under 12.04, though, I'm seeing a lot of "Invalid misc" retries.
I was really hoping that under 12.04 that this issue would be fixed. BTW, this is on an Acer AspireOne netbook model AOD255E-13695.

Could this be router-related? I am using a Cisco WRT160N.

Bruce

Pat McGowan (pat-mcgowan) wrote :

I see the same , with 11n enabled I have over 800 Tx excessive retries in 5 mins.
With 11n disabled I ran for 2 days with none, and no interruptions.

Bruce Juntti, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Pat McGowan, please stop making comments in this report. If you are having a problem in Ubuntu, please follow the directions already requested of you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/984552/comments/7 .

Pat McGowan (pat-mcgowan) wrote :

@Christopher I did that several days ago, and that report was marked incomplete by you after you were subscribed
bug #996530

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

I believe I am experiencing the same bug but on a Centrino Wireless-N 2230 wireless card.
---
% lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation Panther Point USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation Panther Point MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 3 (rev c4)
00:1c.3 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation Panther Point LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation Panther Point 6 port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation Panther Point SMBus Controller (rev 04)
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device 5229 (rev 01)
03:00.0 Network controller: Intel Corporation Centrino Wireless-N 2230 (rev c4)
0c:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 07)

Leif Halldor Asgeirsson, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

I should also add that when I moniter the bitrate of my wireless card (either with iwconfig or by going to 'Connection Information', the bitrate varies wildly. When I experience this bug, it sometimes goes back and forth between 1 Mb/s and some much higher number.

Wrong report, sorry!

Joseph Salisbury (jsalisbury) wrote :

@Matt and @Pat

Can you test the latest v3.4 kernel available for download from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (3.3 KiB)

I'm also getting this periodic loss of connection problem. I've had it with 10.04, 11.10 and now 12.04 but it is much much worse on 12.04.

Dell Latitude E6400 with a Broadcom chipset wireless card (I think it was a BCM4312)
Dell Latitude E6420 with both a Broadcom (BCM43228) and Intel (AGN5300) chipset wireless card

On the first laptop (E6400) when I was running 10.04 the problem resulted in sluggish response when using SSH or browsing. I was getting about 2% one-way packet loss (i.e. pinging out from the laptop to the WAP showed packet loss, but pinging from another machine to the laptop showed no lost packets.) When first booted the network was fine but would deteriorate over a period of about 60 minutes.

On the same laptop using Ubuntu 11.10 the problem became worse with frequent disconnects. Only rebooting the laptop would reconnect the wireless.

Again, on the same laptop with 12.04 the wireless was completely unusable. It would associate with the WAP and could send and receive a few hundred packets before reporting any host I tried to ping as unreachable. With all three versions of Ubuntu on this laptop I only experienced the problem at home and not at work so put it down to my WAP at home being incompatible with the laptop's wireless card.

On the second laptop (E6420) I've only ever tried Ubuntu 12.04. With the Broadcom wireless card I found that, at home, it would work for a couple of hours then either drop the connection completely or suffer from heavy packet loss (>20%). At work it would appear to be associated with the WAP but trying to ping another machine would result in "network unreachable" messages. Routing tables were all correct.

I then tried an Intel AGN5300 wireless card in the same laptop. It is better but I see more or less the same symptoms: at home I get disconnections or high packet loss after a couple of hours use; at work I see the wireless is associated with a WAP but get "network unreachable" when pinging, or high packet loss. I also get wildly varying connection bit-rates and excessively high "Invalid misc" count from iwconfig. This was reported just five minutes after rebooting:

iwconfig wlan0

wlan0 IEEE 802.11abg ESSID:"Linguamatics"
          Mode:Managed Frequency:2.412 GHz Access Point: F8:D1:11:50:C9:4C
          Bit Rate=48 Mb/s Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=70/70 Signal level=-31 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:15 Invalid misc:125154 Missed beacon:0

I'm currently running iwlwifi with the following options:

    swcrypto=1 11n_disable=1 power_save=0

which helps a lot but doesn't completely remove the problem.

The fact that I've had similar problems with two laptops, two different WAPs, and three different chipset wireless cards seems to suggest this problem is not a fault with the hardware or drivers but something in Ubuntu itself.

Note that I do not have access to the first laptop any more but I do still have both wireless cards for the new one. I will also try the latest kernel...

Read more...

Terry Stebbens, please do not tack on attachments to this report. If you are having a problem in Ubuntu, please file a new report by executing the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Seth Forshee (sforshee) wrote :

Terry: From the data posted the problem here seems to be specific to Intel cards. If you're seeing problems with a variety of cards then it's probably something different, so I encourage you to do as Christopher asked and file a new bug by running 'ubuntu-bug linux'.

Same problem on a Thinkpad T420 with a Ultimate-N 6300 (rev 35) WiFi card since 12.04 .

If the WiFi is reconnected after failing without reloading the driver, the problem happens much faster again as if I unloaded/reloaded the iwlwifi driver by modprobe before reconnecting.

Becauseof this I think it is a driver problem and not a ubuntu problem.

There are no problems reported in the syslog (or kernel log).

lspci details of the WiFi module:
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
 Subsystem: Intel Corporation Centrino Ultimate-N 6300 3x3 AGN
 Flags: bus master, fast devsel, latency 0, IRQ 44
 Memory at f2400000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: [c8] Power Management version 3
 Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
 Capabilities: [e0] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [140] Device Serial Number 00-24-d7-ff-ff-e2-d3-c0
 Kernel driver in use: iwlwifi
 Kernel modules: iwlwifi

Matthias Meier, if you are having a problem in Ubuntu, please file a new report by executing the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

As Mark on comment#6 reportet:
I also didn't have the problem on the Beta1 of 12.04

So somebody should do a diff of the driver stack!

PS: Chirstopher on comment#22: why fill out a new report, I have exactly the same problem!

Matthias Meier, if your a developer and know exactly where the problem lies, we look forward to your patch. Otherwise, please stop making comments in this report. If you are having a problem in Ubuntu, please perform the actions requested of you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/984552/comments/22 .

Thanks!

Mohammad Ziaul Haq (m-z-haqs) wrote :

I tried with "v3.4-precise/ 21-May-2012 09:41" for my Dell XPS 14z's Intel Centrino Advanced-N 6230 (rev 34). Didn't fix it.

Mohammad Ziaul Haq, please stop making comments in this report. For more on this, please see https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported . If you are having a problem in Ubuntu, please file a new report by executing the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Matt Zimmerman (mdz) wrote :

I haven't seen this happen on current 12.04 in some time. I still have an issue with this wifi device/driver related to suspend/resume, but the issue I described here seems to be gone.

Matt Zimmerman (mdz) wrote :

(or else it was specific to a certain AP which I no longer use)

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Israel Vaughn (daaxix) wrote :

I am seeing this on my HP Dv4t-5100 with a Centrino Wireless-N 2230 wireless card on 12.04 with all updates current.

Some strange things happen, first, it takes a long time for the wireless to connect, then ping times to the router vary randomly from up to 1 sec down to 4 ms or so.

The only thing about the wifi or intel in dmesg or the kern.log is the following :

Aug 13 17:22:52 Galois kernel: [32696.796323] iwlwifi 0000:02:00.0: restoring config space at offset 0x1 (was 0x100006, writing 0x100406)
Aug 13 17:22:53 Galois kernel: [32700.666488] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
Aug 13 17:22:53 Galois kernel: [32700.673943] iwlwifi 0000:02:00.0: Radio type=0x2-0x0-0x0
Aug 13 17:28:26 Galois kernel: [33033.713985] iwlwifi 0000:02:00.0: Tx aggregation enabled on ra = 20:4e:7f:4a:80:57 tid = 0
Aug 13 17:33:06 Galois kernel: [33313.383975] iwlwifi 0000:02:00.0: Tx aggregation enabled on ra = 20:4e:7f:4a:80:57 tid = 4

Israel Vaughn (daaxix) wrote :

Also, I forgot to mention that it works fine on Windows.

Israel Vaughn, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

summary: - [8086:0085] iwlwifi intermittently losing connectivity
+ [8086:0085] intermittently losing connectivity
FAUGUSTO (faa-augusto) wrote :

Hi fellows !

I have the same problem and my configurations is the following

DELL Latitude 131L running version 11.10:

 uname -a
Linux faa-Latitude-131L 3.0.0-24-generic #40-Ubuntu SMP Tue Jul 24 15:36:59 UTC 2012 i686 athlon i386 GNU/Linux

iwconfig wlan0
wlan0 IEEE 802.11bg ESSID:"DLINK-5"
          Mode:Managed Frequency:2.437 GHz Access Point: 00:19:5B:D5:EB:F6
          Bit Rate=36 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=65/70 Signal level=-45 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:109 Missed beacon:0

  *-network
       description: Network controller
       product: BCM4311 802.11b/g WLAN
       vendor: Broadcom Corporation
       physical id: 0
       bus info: pci@0000:05:00.0
       version: 01
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=b43-pci-bridge latency=0
       resources: irq:18 memory:c0200000-c0203fff
  *-network
       description: Ethernet interface
       product: BCM4401-B0 100Base-TX
       vendor: Broadcom Corporation
       physical id: 0
       bus info: pci@0000:08:00.0
       logical name: eth0
       version: 02
       serial: 00:19:b9:6f:03:4e
       size: 10Mbit/s
       capacity: 100Mbit/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list ethernet physical mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=b44 driverversion=2.0 duplex=half latency=64 link=no multicast=yes port=twisted pair speed=10Mbit/s
       resources: irq:21 memory:c0300000-c0301fff
  *-network
       description: Wireless interface
       physical id: 2
       logical name: wlan0
       serial: 00:19:7e:06:3d:f1
       capabilities: ethernet physical wireless
       configuration: broadcast=yes driver=b43 driverversion=3.0.0-24-generic firmware=508.1084 ip=192.168.0.1

and the WIFI ROUTER is DLINK 524UP 54mbps .

Ivan (ispmarin) wrote :

Hi all,

I'm running 12.04 with Network controller: Intel Corporation Centrino Advanced-N 6200 (rev 35), and with my new router I started having this problem. I switched the router to only G, and so far the problem is gone, so I would guess that is something wrong with the N interface.

Cheers

Prada (pradacr) wrote :

Ivan, nic is exacly the same (Intel ... rev 35) and the symptoms too. Several people above disable the N protocol and partially solve the problem. I thought N would solve my low signal problem but did the contrary. Should it be an Intel driver bug?

On my Notebook (T420 w. 12.04) the problem disappeared by replacing the WLAN-Router (old: DIR-635, new: DIR-645) but the new router still allows all n/g/b protocols.

So it seems to be a race condition which appears only on some routers (I assume as Prada a Intel linux driver bug).

H.i.M (hir-i-mogul-gmail) wrote :

This bug affects me when iam connected to a Devolo dLAN® 200 AV Wireless N and one specific laptop is connected, too.
Network stops receiving and sending any packages but "seems" to be connected.

The specific laptop uses an Atheros AR5007 with Windows Vista. I installed the newest driver for the Atheros card in Windows from http://www.atheros.cz/ . This has not solved the problem. All other devices (several laptops, netbooks, phones, etc.) are working without any problem, when the specific laptop is connected to the dLAN® 200 AV Wireless N.

My System :
Dell E6400 with Intel 6300 Ultimate rev 0x74 with (K)ubuntu 12.04, newest updates installed.
I tried to run "ubuntu-bug linux" but i do not know how to connect the generated report to this bug.

Craig Magina (craig.magina) wrote :

I am hitting this bug in 13.04 raring running kernel version 3.8.0-1-generic.

I see these messages when my connection stops sending/receiving packets.
[17195.495526] iwlwifi 0000:03:00.0: fail to flush all tx fifo queues

I find if I use the kill switch to "power cycle" the wireless chip, it begins working again. I have not disabled 11n support and I connect to both my router's 2.4GHz and 5GHz depending on which one is stronger in the part of the house I am at. I do suspect the issue occurs when I am connected to the 5GHz antennae.

My laptop is a Lenovo t410s, with the Intel Corporation Centrino Ultimate-N 6300 (rev 35) wireless chipset.

Craig Magina (craig.magina) wrote :

Created a new bug for my above comment: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1103755

Marcelo Fernandez (fernandezm) wrote :

I'm having this issue with Ubuntu 12.10 (linux 3.5.0-23) and Centrino Wireless-N 2230 [8086:0887] too. I see the same "fail to flush all tx fifo queues" messages in the syslog.

Milton (miltonlaufer) wrote :

I'm having this issue with ubuntu 13.04.

Marcelo Fernandez / Milton, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.